<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- forms\authorize_token.jsp -->
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="change" uri="http://www.telelogic.com/change"%>
<html>
<head>
	<title><change:resource key="productName"/></title>
	

	<style type="text/css">

		<change:wsletExpander>
			 <!-- WSLET CODE=PTInclude -->
			 <!-- PARAM NAME=styles/login.css -->
			 <!-- PARAM NAME=styles/note.css -->
			 <!-- /WSLET -->
		</change:wsletExpander>

		.wrapper {
			/* center the page */
			width: 560px;
			margin: 0 auto;
			text-align: left;
		}
		
		.prompt {
			margin: 7px auto;
			font-size: 125%;
			padding: .5em;
			text-align: center;
		}

		.note {
			width: 100%;
		}
		
		.button {
			margin-top: 4px;
			margin-bottom: 4px;
		}
	</style>
	
</head>
<body>
	
	<div class="wrapper">
		
		
		<form action="<change:urlCreator webResource='BASEURL'/>/authorize_token.do" method="POST">

			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="login">
				<tr class="loginBlockStyleLarge">
					<td>
						<div class="loginBlockStyleNormal">

							<span style="font-weight: bold;">
								<change:resource key="oAuthLogin"/>
							</span>

							<c:set var="buildNumber">
								<change:wsletExpander>
									<!-- WSLET CODE=PTAdmin -->
									<!-- PARAM name=BUILD_NUMBER -->
									<!-- /WSLET -->
								</change:wsletExpander>
							</c:set>
							<c:set var="release">
								<change:wsletExpander>
									<!-- WSLET CODE=PTAdmin -->
										<!-- PARAM name=RELEASE -->
									<!-- /WSLET -->
								</change:wsletExpander>
							</c:set>
							<change:resource key="release" bundle="53_patch">
								<change:param value="${release}"/>
								<change:param value="${buildNumber}"/>
							</change:resource>
						</div>
					</td> 
				</tr>

				<tr>
					<td>
						<table width="100%" border="0" cellspacing="0" cellpadding="3" cclass="padd">
							<tbody id="loginBlock">
								
								<tr>
									<td colspan="2">
										<div class="prompt">
												<c:out value="${prompt}"/>	
										</div>
									</td>
								</tr>

								<tr>
									<td width="33%" align="right" class="bold">
										<label for="userName">
											<change:resource key="lbl00003"/>
										</label>
									</td>
									<td>
										<input style="width: 16em" id="userName" name="userName" autofocus>
									</td>
								</tr>

								<tr>
									<td  width align="right" class="bold">
										<label for="password">
											<change:resource key="lbl00004"/>
										</label>
									</td>
									<td >
										<input style="width: 16em" type="password" name="password" id="password">
									</td>
								</tr>

								<tr>
									<td>&nbsp;</td>
									<td >
										<input type="hidden" name="oauth_token" value="<c:out value="${oauth_token}"/>">
										<input type="submit" class="button" name="allow" value="<change:resource key="oAuthAllow"/>">
	 									<input type="submit" class="button" name="deny" value="<change:resource key="oAuthDeny"/>">
									</td>
								</tr>

							</tbody>
						</table>
					</td>
				</tr>
			</table>
		</form>

		<c:if test="${not empty error}">
			<div class="note">
				<p >
					<img class="error-icon" alt="<change:resource key='altTextWarning'/>" src="<change:urlCreator webResource='PTIMAGES'/>warning_small.gif">
					<c:out value="${error}"/>
				</p>
			</div>
		</c:if>

	</div>

	<script type="text/javascript">
		if (!('autofocus' in document.createElement('input')))
		{
			document.getElementById('userName').focus();
		}
	</script>

</body>
</html>
