<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- forms\user_login_error.jsp -->
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="change" uri="http://www.telelogic.com/change"%>

<!-- user_login_error.jsp page displays pre login error messages -->

<html:html locale="true">
	<head>
	<link rel="shortcut icon" type="image/ico" href="<change:urlCreator webResource="PTIMAGES"/>RationalChange.ico" >
		<meta http-equiv="Content-Type" content="text/html; charset=<change:charEncoding/>">
		<title><change:resource key="userLoginTitle"/></title>
		<style type="text/css">
			<change:wsletExpander>
				<!-- WSLET CODE=PTInclude -->
					<!-- PARAM NAME=styles/login.css -->				
				<!-- /WSLET -->
			</change:wsletExpander>			
		</style>
		<script type="text/javascript">
			<change:wsletExpander>
				<!-- WSLET CODE=PTInclude -->
				<!-- PARAM NAME=subhelp.js -->
				<!-- /WSLET -->
			</change:wsletExpander>
		</script>
	</head>
	<body class="bodyStyle">
		<table width="560px" border="0" cellspacing="0" cellpadding="0" class="login">
			<tr class="loginBlockStyleLarge">
				<td>
					<div class="loginBlockStyleNormal">

						<span style="font-weight: bold;"><change:resource key="userLoginLabel"/></span>

						<c:set var="buildNumber">
							<change:wsletExpander>
								<!-- WSLET CODE=PTAdmin -->
									<!-- PARAM name=BUILD_NUMBER -->
								<!-- /WSLET -->
							</change:wsletExpander>
						</c:set>
						<c:set var="release">
							<change:wsletExpander>
								<!-- WSLET CODE=PTAdmin -->
									<!-- PARAM name=RELEASE -->
								<!-- /WSLET -->
							</change:wsletExpander>
						</c:set>
						<change:resource key="release" bundle="53_patch">
							<change:param value="${release}"/>
							<change:param value="${buildNumber}"/>
						</change:resource>
					</div>
				</td> 
			</tr>

			<tr height="60px">
				<td>${loginForm.map.errorMsg}</td>
			</tr>
		</table>
		
		<%-- Includes the message of the day if defined by the admin and set to on --%>
		<c:set var="motdPage">
			<change:wsletExpander>
			<!-- WSLET CODE=PTLoadData -->
			<!-- PARAM NAME=MESSAGE_OF_THE_DAY VALUE=JSP -->
			<!-- /WSLET -->
			</change:wsletExpander>
		</c:set>
		
		<c:set var="footerPadding" value="padding-top: 10px;"/>
		<c:if test="${motdPage != ''}">			
			<jsp:include page="/WEB-INF/wsconfig/templates/pt/forms/motd.jsp">
				<jsp:param name="isLoginPage" value="true"/>
			</jsp:include>
			<c:set var="footerPadding" value=""/>
		</c:if>
		
		<div class="footer" style="${footerPadding}">
			<a href="javascript: openHelp('browsers');"><change:resource key="info0109"/></a>
			|
			<a href="javascript: openHelp('cookie-policy');"><change:resource key="cookiePolicyAction"/></a>
		</div>
</body>
</html:html>
		

